[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DockOver

Called to check whether this control allows docking and where.

## Declaration

Source position: controls.pp line 2238

`protected procedure TWinControl.DockOver(`
`Source: TDragDockObject;`
`X: Integer;`
`Y: Integer;`
`State: TDragState;`
`var Accept: Boolean`
`); virtual;`

## Arguments

`Accept` |  | Initially True, set to False to reject an drop.

## Description

Called for messages from the DragManager including: dmEnter, dmLeave, and dmMove. Gets the DockRect to show.

Positions the DockRect, and invokes OnDockOver (via DoDockOver).

Everything can be overridden using the OnDockOver handler, when assigned.

## See also

TControl.PositionDockRect |  | Get the DockRect for an possible drop.
TWinControl.OnDockOver |  | Event handler signalled when a control is moved over a docksite; determines whether the drop event is accepted or rejected.